Package org.gdal.osr

## Class SpatialReference

- java.lang.Object
- - org.gdal.osr.SpatialReference

- All Implemented Interfaces:
    `java.lang.Cloneable`

      public class SpatialReference
      extends java.lang.Object
      implements java.lang.Cloneable

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SpatialReference​()` |
    `SpatialReference​(long cPtr, boolean cMemoryOwn)` |
    `SpatialReference​(java.lang.String wkt)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `__str__​()` |
    `int` | `AddGuessedTOWGS84​()` |
    `int` | `AutoIdentifyEPSG​()` |
    `java.lang.Object` | `clone​()` |
    `SpatialReference` | `Clone​()` |
    `SpatialReference` | `CloneGeogCS​()` |
    `SpatialReference` | `ConvertToOtherProjection​(java.lang.String other_projection)` |
    `SpatialReference` | `ConvertToOtherProjection​(java.lang.String other_projection, java.util.Vector options)` |
    `int` | `CopyGeogCSFrom​(SpatialReference rhs)` |
    `void` | `delete​()` |
    `int` | `DemoteTo2D​()` |
    `int` | `DemoteTo2D​(java.lang.String name)` |
    `int` | `EPSGTreatsAsLatLong​()` |
    `int` | `EPSGTreatsAsNorthingEasting​()` |
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `ExportToMICoordSys​()` |
    `int` | `ExportToMICoordSys​(java.lang.String[] argout)` |
    `int` | `ExportToPCI​(java.lang.String[] proj, java.lang.String[] units, double[] parms)` |
    `java.lang.String` | `ExportToPrettyWkt​()` |
    `java.lang.String` | `ExportToPrettyWkt​(int simplify)` |
    `int` | `ExportToPrettyWkt​(java.lang.String[] argout)` |
    `int` | `ExportToPrettyWkt​(java.lang.String[] argout, int simplify)` |
    `java.lang.String` | `ExportToProj4​()` |
    `int` | `ExportToProj4​(java.lang.String[] argout)` |
    `int` | `ExportToPROJJSON​(java.lang.String[] argout)` |
    `int` | `ExportToPROJJSON​(java.lang.String[] argout, java.util.Vector options)` |
    `int` | `ExportToUSGS​(int[] code, int[] zone, double[] parms, int[] datum)` |
    `java.lang.String` | `ExportToWkt​()` |
    `int` | `ExportToWkt​(java.lang.String[] argout)` |
    `int` | `ExportToWkt​(java.lang.String[] argout, java.util.Vector options)` |
    `java.lang.String` | `ExportToXML​()` |
    `java.lang.String` | `ExportToXML​(java.lang.String dialect)` |
    `int` | `ExportToXML​(java.lang.String[] argout)` |
    `int` | `ExportToXML​(java.lang.String[] argout, java.lang.String dialect)` |
    `double` | `GetAngularUnits​()` |
    `java.lang.String` | `GetAngularUnitsName​()` |
    `AreaOfUse` | `GetAreaOfUse​()` |
    `java.lang.String` | `GetAttrValue​(java.lang.String name)` |
    `java.lang.String` | `GetAttrValue​(java.lang.String name, int child)` |
    `java.lang.String` | `GetAuthorityCode​(java.lang.String target_key)` |
    `java.lang.String` | `GetAuthorityName​(java.lang.String target_key)` |
    `int` | `GetAxesCount​()` |
    `int` | `GetAxisMappingStrategy​()` |
    `java.lang.String` | `GetAxisName​(java.lang.String target_key, int iAxis)` |
    `int` | `GetAxisOrientation​(java.lang.String target_key, int iAxis)` |
    `static long` | `getCPtr​(SpatialReference obj)` |
    `int[]` | `GetDataAxisToSRSAxisMapping​(SWIGTYPE_p_int nLen, SWIGTYPE_p_p_int pList)` |
    `double` | `GetInvFlattening​()` |
    `double` | `GetLinearUnits​()` |
    `java.lang.String` | `GetLinearUnitsName​()` |
    `java.lang.String` | `GetName​()` |
    `double` | `GetNormProjParm​(java.lang.String name)` |
    `double` | `GetNormProjParm​(java.lang.String name, double default_val)` |
    `double` | `GetProjParm​(java.lang.String name)` |
    `double` | `GetProjParm​(java.lang.String name, double default_val)` |
    `double` | `GetSemiMajor​()` |
    `double` | `GetSemiMinor​()` |
    `double` | `GetTargetLinearUnits​(java.lang.String target_key)` |
    `double[]` | `GetTOWGS84​()` |
    `int` | `GetTOWGS84​(double[] argout)` |
    `int` | `GetUTMZone​()` |
    `int` | `hashCode​()` |
    `boolean` | `HasTOWGS84​()` |
    `int` | `ImportFromEPSG​(int arg)` |
    `int` | `ImportFromEPSGA​(int arg)` |
    `int` | `ImportFromERM​(java.lang.String proj, java.lang.String datum, java.lang.String units)` |
    `int` | `ImportFromESRI​(java.util.Vector ppszInput)` |
    `int` | `ImportFromMICoordSys​(java.lang.String pszCoordSys)` |
    `int` | `ImportFromOzi​(java.util.Vector papszLines)` |
    `int` | `ImportFromPCI​(java.lang.String proj)` |
    `int` | `ImportFromPCI​(java.lang.String proj, java.lang.String units)` |
    `int` | `ImportFromPCI​(java.lang.String proj, java.lang.String units, double[] argin)` |
    `int` | `ImportFromProj4​(java.lang.String ppszInput)` |
    `int` | `ImportFromUrl​(java.lang.String url)` |
    `int` | `ImportFromUSGS​(int proj_code)` |
    `int` | `ImportFromUSGS​(int proj_code, int zone)` |
    `int` | `ImportFromUSGS​(int proj_code, int zone, double[] argin)` |
    `int` | `ImportFromUSGS​(int proj_code, int zone, double[] argin, int datum_code)` |
    `int` | `ImportFromWkt​(java.lang.String ppszInput)` |
    `int` | `ImportFromXML​(java.lang.String xmlString)` |
    `int` | `IsCompound​()` |
    `int` | `IsDerivedGeographic​()` |
    `int` | `IsGeocentric​()` |
    `int` | `IsGeographic​()` |
    `int` | `IsLocal​()` |
    `int` | `IsProjected​()` |
    `int` | `IsSame​(SpatialReference rhs)` |
    `int` | `IsSame​(SpatialReference rhs, java.util.Vector options)` |
    `int` | `IsSameGeogCS​(SpatialReference rhs)` |
    `int` | `IsSameVertCS​(SpatialReference rhs)` |
    `int` | `IsVertical​()` |
    `int` | `MorphFromESRI​()` |
    `int` | `MorphToESRI​()` |
    `int` | `PromoteTo3D​()` |
    `int` | `PromoteTo3D​(java.lang.String name)` |
    `int` | `SetACEA​(double stdp1, double stdp2, double clat, double clong, double fe, double fn)` |
    `int` | `SetAE​(double clat, double clong, double fe, double fn)` |
    `int` | `SetAngularUnits​(java.lang.String name, double to_radians)` |
    `int` | `SetAttrValue​(java.lang.String name, java.lang.String value)` |
    `int` | `SetAuthority​(java.lang.String pszTargetKey, java.lang.String pszAuthority, int nCode)` |
    `void` | `SetAxisMappingStrategy​(int strategy)` |
    `int` | `SetBonne​(double stdp, double cm, double fe, double fn)` |
    `int` | `SetCEA​(double stdp1, double cm, double fe, double fn)` |
    `int` | `SetCompoundCS​(java.lang.String name, SpatialReference horizcs, SpatialReference vertcs)` |
    `int` | `SetCS​(double clat, double clong, double fe, double fn)` |
    `int` | `SetDataAxisToSRSAxisMapping​(int[] nList)` |
    `int` | `SetEC​(double stdp1, double stdp2, double clat, double clong, double fe, double fn)` |
    `int` | `SetEckertIV​(double cm, double fe, double fn)` |
    `int` | `SetEckertVI​(double cm, double fe, double fn)` |
    `int` | `SetEquirectangular​(double clat, double clong, double fe, double fn)` |
    `int` | `SetEquirectangular2​(double clat, double clong, double pseudostdparallellat, double fe, double fn)` |
    `int` | `SetFromUserInput​(java.lang.String name)` |
    `int` | `SetGaussSchreiberTMercator​(double clat, double clong, double sc, double fe, double fn)` |
    `int` | `SetGeocCS​()` |
    `int` | `SetGeocCS​(java.lang.String name)` |
    `int` | `SetGeogCS​(java.lang.String pszGeogName, java.lang.String pszDatumName, java.lang.String pszEllipsoidName, double dfSemiMajor, double dfInvFlattening)` |
    `int` | `SetGeogCS​(java.lang.String pszGeogName, java.lang.String pszDatumName, java.lang.String pszEllipsoidName, double dfSemiMajor, double dfInvFlattening, java.lang.String pszPMName)` |
    `int` | `SetGeogCS​(java.lang.String pszGeogName, java.lang.String pszDatumName, java.lang.String pszEllipsoidName, double dfSemiMajor, double dfInvFlattening, java.lang.String pszPMName, double dfPMOffset)` |
    `int` | `SetGeogCS​(java.lang.String pszGeogName, java.lang.String pszDatumName, java.lang.String pszEllipsoidName, double dfSemiMajor, double dfInvFlattening, java.lang.String pszPMName, double dfPMOffset, java.lang.String pszUnits)` |
    `int` | `SetGeogCS​(java.lang.String pszGeogName, java.lang.String pszDatumName, java.lang.String pszEllipsoidName, double dfSemiMajor, double dfInvFlattening, java.lang.String pszPMName, double dfPMOffset, java.lang.String pszUnits, double dfConvertToRadians)` |
    `int` | `SetGEOS​(double cm, double satelliteheight, double fe, double fn)` |
    `int` | `SetGH​(double cm, double fe, double fn)` |
    `int` | `SetGnomonic​(double clat, double clong, double fe, double fn)` |
    `int` | `SetGS​(double cm, double fe, double fn)` |
    `int` | `SetHOM​(double clat, double clong, double azimuth, double recttoskew, double scale, double fe, double fn)` |
    `int` | `SetHOM2PNO​(double clat, double dfLat1, double dfLong1, double dfLat2, double dfLong2, double scale, double fe, double fn)` |
    `int` | `SetIGH​()` |
    `int` | `SetKrovak​(double clat, double clong, double azimuth, double pseudostdparallellat, double scale, double fe, double fn)` |
    `int` | `SetLAEA​(double clat, double clong, double fe, double fn)` |
    `int` | `SetLCC​(double stdp1, double stdp2, double clat, double clong, double fe, double fn)` |
    `int` | `SetLCC1SP​(double clat, double clong, double scale, double fe, double fn)` |
    `int` | `SetLCCB​(double stdp1, double stdp2, double clat, double clong, double fe, double fn)` |
    `int` | `SetLinearUnits​(java.lang.String name, double to_meters)` |
    `int` | `SetLinearUnitsAndUpdateParameters​(java.lang.String name, double to_meters)` |
    `int` | `SetLocalCS​(java.lang.String pszName)` |
    `int` | `SetMC​(double clat, double clong, double fe, double fn)` |
    `int` | `SetMercator​(double clat, double clong, double scale, double fe, double fn)` |
    `int` | `SetMercator2SP​(double stdp1, double clat, double clong, double fe, double fn)` |
    `int` | `SetMollweide​(double cm, double fe, double fn)` |
    `int` | `SetNormProjParm​(java.lang.String name, double val)` |
    `int` | `SetNZMG​(double clat, double clong, double fe, double fn)` |
    `int` | `SetOrthographic​(double clat, double clong, double fe, double fn)` |
    `int` | `SetOS​(double dfOriginLat, double dfCMeridian, double scale, double fe, double fn)` |
    `int` | `SetPolyconic​(double clat, double clong, double fe, double fn)` |
    `int` | `SetProjCS​()` |
    `int` | `SetProjCS​(java.lang.String name)` |
    `int` | `SetProjection​(java.lang.String arg)` |
    `int` | `SetProjParm​(java.lang.String name, double val)` |
    `int` | `SetPS​(double clat, double clong, double scale, double fe, double fn)` |
    `int` | `SetRobinson​(double clong, double fe, double fn)` |
    `int` | `SetSinusoidal​(double clong, double fe, double fn)` |
    `int` | `SetSOC​(double latitudeoforigin, double cm, double fe, double fn)` |
    `int` | `SetStatePlane​(int zone)` |
    `int` | `SetStatePlane​(int zone, int is_nad83)` |
    `int` | `SetStatePlane​(int zone, int is_nad83, java.lang.String unitsname)` |
    `int` | `SetStatePlane​(int zone, int is_nad83, java.lang.String unitsname, double units)` |
    `int` | `SetStereographic​(double clat, double clong, double scale, double fe, double fn)` |
    `int` | `SetTargetLinearUnits​(java.lang.String target, java.lang.String name, double to_meters)` |
    `int` | `SetTM​(double clat, double clong, double scale, double fe, double fn)` |
    `int` | `SetTMG​(double clat, double clong, double fe, double fn)` |
    `int` | `SetTMSO​(double clat, double clong, double scale, double fe, double fn)` |
    `int` | `SetTMVariant​(java.lang.String pszVariantName, double clat, double clong, double scale, double fe, double fn)` |
    `int` | `SetTOWGS84​(double p1, double p2, double p3)` |
    `int` | `SetTOWGS84​(double p1, double p2, double p3, double p4, double p5, double p6, double p7)` |
    `int` | `SetUTM​(int zone)` |
    `int` | `SetUTM​(int zone, int north)` |
    `int` | `SetVDG​(double clong, double fe, double fn)` |
    `int` | `SetVertCS​()` |
    `int` | `SetVertCS​(java.lang.String VertCSName)` |
    `int` | `SetVertCS​(java.lang.String VertCSName, java.lang.String VertDatumName)` |
    `int` | `SetVertCS​(java.lang.String VertCSName, java.lang.String VertDatumName, int VertDatumType)` |
    `int` | `SetVerticalPerspective​(double topoOriginLat, double topoOriginLon, double topoOriginHeight, double viewPointHeight, double fe, double fn)` |
    `int` | `SetWellKnownGeogCS​(java.lang.String name)` |
    `java.lang.String` | `toString​()` |
    `int` | `Validate​()` |

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SpatialReference

          public SpatialReference​(long cPtr,
                                  boolean cMemoryOwn)

    - #### SpatialReference

          public SpatialReference​(java.lang.String wkt)

    - #### SpatialReference

          public SpatialReference​()

  - ### Method Detail

    - #### getCPtr

          public static long getCPtr​(SpatialReference obj)

    - #### delete

          public void delete​()

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### clone

          public java.lang.Object clone​()

      Overrides:
        `clone` in class `java.lang.Object`

    - #### hashCode

          public int hashCode​()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString​()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### ExportToWkt

          public java.lang.String ExportToWkt​()

    - #### ExportToPrettyWkt

          public java.lang.String ExportToPrettyWkt​(int simplify)

    - #### ExportToPrettyWkt

          public java.lang.String ExportToPrettyWkt​()

    - #### ExportToProj4

          public java.lang.String ExportToProj4​()

    - #### ExportToXML

          public java.lang.String ExportToXML​(java.lang.String dialect)

    - #### ExportToXML

          public java.lang.String ExportToXML​()

    - #### ExportToMICoordSys

          public java.lang.String ExportToMICoordSys​()

    - #### GetTOWGS84

          public double[] GetTOWGS84​()

    - #### SetTOWGS84

          public int SetTOWGS84​(double p1,
                                double p2,
                                double p3)

    - #### __str__

          public java.lang.String __str__​()

    - #### GetName

          public java.lang.String GetName​()

    - #### IsSame

          public int IsSame​(SpatialReference rhs,
                            java.util.Vector options)

    - #### IsSame

          public int IsSame​(SpatialReference rhs)

    - #### IsSameGeogCS

          public int IsSameGeogCS​(SpatialReference rhs)

    - #### IsSameVertCS

          public int IsSameVertCS​(SpatialReference rhs)

    - #### IsGeographic

          public int IsGeographic​()

    - #### IsDerivedGeographic

          public int IsDerivedGeographic​()

    - #### IsProjected

          public int IsProjected​()

    - #### IsCompound

          public int IsCompound​()

    - #### IsGeocentric

          public int IsGeocentric​()

    - #### IsLocal

          public int IsLocal​()

    - #### IsVertical

          public int IsVertical​()

    - #### EPSGTreatsAsLatLong

          public int EPSGTreatsAsLatLong​()

    - #### EPSGTreatsAsNorthingEasting

          public int EPSGTreatsAsNorthingEasting​()

    - #### SetAuthority

          public int SetAuthority​(java.lang.String pszTargetKey,
                                  java.lang.String pszAuthority,
                                  int nCode)

    - #### GetAttrValue

          public java.lang.String GetAttrValue​(java.lang.String name,
                                               int child)

    - #### GetAttrValue

          public java.lang.String GetAttrValue​(java.lang.String name)

    - #### SetAttrValue

          public int SetAttrValue​(java.lang.String name,
                                  java.lang.String value)

    - #### SetAngularUnits

          public int SetAngularUnits​(java.lang.String name,
                                     double to_radians)

    - #### GetAngularUnits

          public double GetAngularUnits​()

    - #### GetAngularUnitsName

          public java.lang.String GetAngularUnitsName​()

    - #### SetTargetLinearUnits

          public int SetTargetLinearUnits​(java.lang.String target,
                                          java.lang.String name,
                                          double to_meters)

    - #### SetLinearUnits

          public int SetLinearUnits​(java.lang.String name,
                                    double to_meters)

    - #### SetLinearUnitsAndUpdateParameters

          public int SetLinearUnitsAndUpdateParameters​(java.lang.String name,
                                                       double to_meters)

    - #### GetTargetLinearUnits

          public double GetTargetLinearUnits​(java.lang.String target_key)

    - #### GetLinearUnits

          public double GetLinearUnits​()

    - #### GetLinearUnitsName

          public java.lang.String GetLinearUnitsName​()

    - #### GetAuthorityCode

          public java.lang.String GetAuthorityCode​(java.lang.String target_key)

    - #### GetAuthorityName

          public java.lang.String GetAuthorityName​(java.lang.String target_key)

    - #### GetAreaOfUse

          public AreaOfUse GetAreaOfUse​()

    - #### GetAxisName

          public java.lang.String GetAxisName​(java.lang.String target_key,
                                              int iAxis)

    - #### GetAxesCount

          public int GetAxesCount​()

    - #### GetAxisOrientation

          public int GetAxisOrientation​(java.lang.String target_key,
                                        int iAxis)

    - #### GetAxisMappingStrategy

          public int GetAxisMappingStrategy​()

    - #### SetAxisMappingStrategy

          public void SetAxisMappingStrategy​(int strategy)

    - #### GetDataAxisToSRSAxisMapping

          public int[] GetDataAxisToSRSAxisMapping​(SWIGTYPE_p_int nLen,
                                                   SWIGTYPE_p_p_int pList)

    - #### SetDataAxisToSRSAxisMapping

          public int SetDataAxisToSRSAxisMapping​(int[] nList)

    - #### SetUTM

          public int SetUTM​(int zone,
                            int north)

    - #### SetUTM

          public int SetUTM​(int zone)

    - #### GetUTMZone

          public int GetUTMZone​()

    - #### SetStatePlane

          public int SetStatePlane​(int zone,
                                   int is_nad83,
                                   java.lang.String unitsname,
                                   double units)

    - #### SetStatePlane

          public int SetStatePlane​(int zone,
                                   int is_nad83,
                                   java.lang.String unitsname)

    - #### SetStatePlane

          public int SetStatePlane​(int zone,
                                   int is_nad83)

    - #### SetStatePlane

          public int SetStatePlane​(int zone)

    - #### AutoIdentifyEPSG

          public int AutoIdentifyEPSG​()

    - #### SetProjection

          public int SetProjection​(java.lang.String arg)

    - #### SetProjParm

          public int SetProjParm​(java.lang.String name,
                                 double val)

    - #### GetProjParm

          public double GetProjParm​(java.lang.String name,
                                    double default_val)

    - #### GetProjParm

          public double GetProjParm​(java.lang.String name)

    - #### SetNormProjParm

          public int SetNormProjParm​(java.lang.String name,
                                     double val)

    - #### GetNormProjParm

          public double GetNormProjParm​(java.lang.String name,
                                        double default_val)

    - #### GetNormProjParm

          public double GetNormProjParm​(java.lang.String name)

    - #### GetSemiMajor

          public double GetSemiMajor​()

    - #### GetSemiMinor

          public double GetSemiMinor​()

    - #### GetInvFlattening

          public double GetInvFlattening​()

    - #### SetACEA

          public int SetACEA​(double stdp1,
                             double stdp2,
                             double clat,
                             double clong,
                             double fe,
                             double fn)

    - #### SetAE

          public int SetAE​(double clat,
                           double clong,
                           double fe,
                           double fn)

    - #### SetBonne

          public int SetBonne​(double stdp,
                              double cm,
                              double fe,
                              double fn)

    - #### SetCEA

          public int SetCEA​(double stdp1,
                            double cm,
                            double fe,
                            double fn)

    - #### SetCS

          public int SetCS​(double clat,
                           double clong,
                           double fe,
                           double fn)

    - #### SetEC

          public int SetEC​(double stdp1,
                           double stdp2,
                           double clat,
                           double clong,
                           double fe,
                           double fn)

    - #### SetEckertIV

          public int SetEckertIV​(double cm,
                                 double fe,
                                 double fn)

    - #### SetEckertVI

          public int SetEckertVI​(double cm,
                                 double fe,
                                 double fn)

    - #### SetEquirectangular

          public int SetEquirectangular​(double clat,
                                        double clong,
                                        double fe,
                                        double fn)

    - #### SetEquirectangular2

          public int SetEquirectangular2​(double clat,
                                         double clong,
                                         double pseudostdparallellat,
                                         double fe,
                                         double fn)

    - #### SetGaussSchreiberTMercator

          public int SetGaussSchreiberTMercator​(double clat,
                                                double clong,
                                                double sc,
                                                double fe,
                                                double fn)

    - #### SetGS

          public int SetGS​(double cm,
                           double fe,
                           double fn)

    - #### SetGH

          public int SetGH​(double cm,
                           double fe,
                           double fn)

    - #### SetIGH

          public int SetIGH​()

    - #### SetGEOS

          public int SetGEOS​(double cm,
                             double satelliteheight,
                             double fe,
                             double fn)

    - #### SetGnomonic

          public int SetGnomonic​(double clat,
                                 double clong,
                                 double fe,
                                 double fn)

    - #### SetHOM

          public int SetHOM​(double clat,
                            double clong,
                            double azimuth,
                            double recttoskew,
                            double scale,
                            double fe,
                            double fn)

    - #### SetHOM2PNO

          public int SetHOM2PNO​(double clat,
                                double dfLat1,
                                double dfLong1,
                                double dfLat2,
                                double dfLong2,
                                double scale,
                                double fe,
                                double fn)

    - #### SetKrovak

          public int SetKrovak​(double clat,
                               double clong,
                               double azimuth,
                               double pseudostdparallellat,
                               double scale,
                               double fe,
                               double fn)

    - #### SetLAEA

          public int SetLAEA​(double clat,
                             double clong,
                             double fe,
                             double fn)

    - #### SetLCC

          public int SetLCC​(double stdp1,
                            double stdp2,
                            double clat,
                            double clong,
                            double fe,
                            double fn)

    - #### SetLCC1SP

          public int SetLCC1SP​(double clat,
                               double clong,
                               double scale,
                               double fe,
                               double fn)

    - #### SetLCCB

          public int SetLCCB​(double stdp1,
                             double stdp2,
                             double clat,
                             double clong,
                             double fe,
                             double fn)

    - #### SetMC

          public int SetMC​(double clat,
                           double clong,
                           double fe,
                           double fn)

    - #### SetMercator

          public int SetMercator​(double clat,
                                 double clong,
                                 double scale,
                                 double fe,
                                 double fn)

    - #### SetMercator2SP

          public int SetMercator2SP​(double stdp1,
                                    double clat,
                                    double clong,
                                    double fe,
                                    double fn)

    - #### SetMollweide

          public int SetMollweide​(double cm,
                                  double fe,
                                  double fn)

    - #### SetNZMG

          public int SetNZMG​(double clat,
                             double clong,
                             double fe,
                             double fn)

    - #### SetOS

          public int SetOS​(double dfOriginLat,
                           double dfCMeridian,
                           double scale,
                           double fe,
                           double fn)

    - #### SetOrthographic

          public int SetOrthographic​(double clat,
                                     double clong,
                                     double fe,
                                     double fn)

    - #### SetPolyconic

          public int SetPolyconic​(double clat,
                                  double clong,
                                  double fe,
                                  double fn)

    - #### SetPS

          public int SetPS​(double clat,
                           double clong,
                           double scale,
                           double fe,
                           double fn)

    - #### SetRobinson

          public int SetRobinson​(double clong,
                                 double fe,
                                 double fn)

    - #### SetSinusoidal

          public int SetSinusoidal​(double clong,
                                   double fe,
                                   double fn)

    - #### SetStereographic

          public int SetStereographic​(double clat,
                                      double clong,
                                      double scale,
                                      double fe,
                                      double fn)

    - #### SetSOC

          public int SetSOC​(double latitudeoforigin,
                            double cm,
                            double fe,
                            double fn)

    - #### SetTM

          public int SetTM​(double clat,
                           double clong,
                           double scale,
                           double fe,
                           double fn)

    - #### SetTMVariant

          public int SetTMVariant​(java.lang.String pszVariantName,
                                  double clat,
                                  double clong,
                                  double scale,
                                  double fe,
                                  double fn)

    - #### SetTMG

          public int SetTMG​(double clat,
                            double clong,
                            double fe,
                            double fn)

    - #### SetTMSO

          public int SetTMSO​(double clat,
                             double clong,
                             double scale,
                             double fe,
                             double fn)

    - #### SetVDG

          public int SetVDG​(double clong,
                            double fe,
                            double fn)

    - #### SetVerticalPerspective

          public int SetVerticalPerspective​(double topoOriginLat,
                                            double topoOriginLon,
                                            double topoOriginHeight,
                                            double viewPointHeight,
                                            double fe,
                                            double fn)

    - #### SetWellKnownGeogCS

          public int SetWellKnownGeogCS​(java.lang.String name)

    - #### SetFromUserInput

          public int SetFromUserInput​(java.lang.String name)

    - #### CopyGeogCSFrom

          public int CopyGeogCSFrom​(SpatialReference rhs)

    - #### SetTOWGS84

          public int SetTOWGS84​(double p1,
                                double p2,
                                double p3,
                                double p4,
                                double p5,
                                double p6,
                                double p7)

    - #### HasTOWGS84

          public boolean HasTOWGS84​()

    - #### GetTOWGS84

          public int GetTOWGS84​(double[] argout)

    - #### AddGuessedTOWGS84

          public int AddGuessedTOWGS84​()

    - #### SetLocalCS

          public int SetLocalCS​(java.lang.String pszName)

    - #### SetGeogCS

          public int SetGeogCS​(java.lang.String pszGeogName,
                               java.lang.String pszDatumName,
                               java.lang.String pszEllipsoidName,
                               double dfSemiMajor,
                               double dfInvFlattening,
                               java.lang.String pszPMName,
                               double dfPMOffset,
                               java.lang.String pszUnits,
                               double dfConvertToRadians)

    - #### SetGeogCS

          public int SetGeogCS​(java.lang.String pszGeogName,
                               java.lang.String pszDatumName,
                               java.lang.String pszEllipsoidName,
                               double dfSemiMajor,
                               double dfInvFlattening,
                               java.lang.String pszPMName,
                               double dfPMOffset,
                               java.lang.String pszUnits)

    - #### SetGeogCS

          public int SetGeogCS​(java.lang.String pszGeogName,
                               java.lang.String pszDatumName,
                               java.lang.String pszEllipsoidName,
                               double dfSemiMajor,
                               double dfInvFlattening,
                               java.lang.String pszPMName,
                               double dfPMOffset)

    - #### SetGeogCS

          public int SetGeogCS​(java.lang.String pszGeogName,
                               java.lang.String pszDatumName,
                               java.lang.String pszEllipsoidName,
                               double dfSemiMajor,
                               double dfInvFlattening,
                               java.lang.String pszPMName)

    - #### SetGeogCS

          public int SetGeogCS​(java.lang.String pszGeogName,
                               java.lang.String pszDatumName,
                               java.lang.String pszEllipsoidName,
                               double dfSemiMajor,
                               double dfInvFlattening)

    - #### SetProjCS

          public int SetProjCS​(java.lang.String name)

    - #### SetProjCS

          public int SetProjCS​()

    - #### SetGeocCS

          public int SetGeocCS​(java.lang.String name)

    - #### SetGeocCS

          public int SetGeocCS​()

    - #### SetVertCS

          public int SetVertCS​(java.lang.String VertCSName,
                               java.lang.String VertDatumName,
                               int VertDatumType)

    - #### SetVertCS

          public int SetVertCS​(java.lang.String VertCSName,
                               java.lang.String VertDatumName)

    - #### SetVertCS

          public int SetVertCS​(java.lang.String VertCSName)

    - #### SetVertCS

          public int SetVertCS​()

    - #### SetCompoundCS

          public int SetCompoundCS​(java.lang.String name,
                                   SpatialReference horizcs,
                                   SpatialReference vertcs)

    - #### ImportFromWkt

          public int ImportFromWkt​(java.lang.String ppszInput)

    - #### ImportFromProj4

          public int ImportFromProj4​(java.lang.String ppszInput)

    - #### ImportFromUrl

          public int ImportFromUrl​(java.lang.String url)

    - #### ImportFromESRI

          public int ImportFromESRI​(java.util.Vector ppszInput)

    - #### ImportFromEPSG

          public int ImportFromEPSG​(int arg)

    - #### ImportFromEPSGA

          public int ImportFromEPSGA​(int arg)

    - #### ImportFromPCI

          public int ImportFromPCI​(java.lang.String proj,
                                   java.lang.String units,
                                   double[] argin)

    - #### ImportFromPCI

          public int ImportFromPCI​(java.lang.String proj,
                                   java.lang.String units)

    - #### ImportFromPCI

          public int ImportFromPCI​(java.lang.String proj)

    - #### ImportFromUSGS

          public int ImportFromUSGS​(int proj_code,
                                    int zone,
                                    double[] argin,
                                    int datum_code)

    - #### ImportFromUSGS

          public int ImportFromUSGS​(int proj_code,
                                    int zone,
                                    double[] argin)

    - #### ImportFromUSGS

          public int ImportFromUSGS​(int proj_code,
                                    int zone)

    - #### ImportFromUSGS

          public int ImportFromUSGS​(int proj_code)

    - #### ImportFromXML

          public int ImportFromXML​(java.lang.String xmlString)

    - #### ImportFromERM

          public int ImportFromERM​(java.lang.String proj,
                                   java.lang.String datum,
                                   java.lang.String units)

    - #### ImportFromMICoordSys

          public int ImportFromMICoordSys​(java.lang.String pszCoordSys)

    - #### ImportFromOzi

          public int ImportFromOzi​(java.util.Vector papszLines)

    - #### ExportToWkt

          public int ExportToWkt​(java.lang.String[] argout,
                                 java.util.Vector options)

    - #### ExportToWkt

          public int ExportToWkt​(java.lang.String[] argout)

    - #### ExportToPrettyWkt

          public int ExportToPrettyWkt​(java.lang.String[] argout,
                                       int simplify)

    - #### ExportToPrettyWkt

          public int ExportToPrettyWkt​(java.lang.String[] argout)

    - #### ExportToPROJJSON

          public int ExportToPROJJSON​(java.lang.String[] argout,
                                      java.util.Vector options)

    - #### ExportToPROJJSON

          public int ExportToPROJJSON​(java.lang.String[] argout)

    - #### ExportToProj4

          public int ExportToProj4​(java.lang.String[] argout)

    - #### ExportToPCI

          public int ExportToPCI​(java.lang.String[] proj,
                                 java.lang.String[] units,
                                 double[] parms)

    - #### ExportToUSGS

          public int ExportToUSGS​(int[] code,
                                  int[] zone,
                                  double[] parms,
                                  int[] datum)

    - #### ExportToXML

          public int ExportToXML​(java.lang.String[] argout,
                                 java.lang.String dialect)

    - #### ExportToXML

          public int ExportToXML​(java.lang.String[] argout)

    - #### ExportToMICoordSys

          public int ExportToMICoordSys​(java.lang.String[] argout)

    - #### CloneGeogCS

          public SpatialReference CloneGeogCS​()

    - #### Clone

          public SpatialReference Clone​()

    - #### Validate

          public int Validate​()

    - #### MorphToESRI

          public int MorphToESRI​()

    - #### MorphFromESRI

          public int MorphFromESRI​()

    - #### ConvertToOtherProjection

          public SpatialReference ConvertToOtherProjection​(java.lang.String other_projection,
                                                           java.util.Vector options)

    - #### ConvertToOtherProjection

          public SpatialReference ConvertToOtherProjection​(java.lang.String other_projection)

    - #### PromoteTo3D

          public int PromoteTo3D​(java.lang.String name)

    - #### PromoteTo3D

          public int PromoteTo3D​()

    - #### DemoteTo2D

          public int DemoteTo2D​(java.lang.String name)

    - #### DemoteTo2D

          public int DemoteTo2D​()